Package: org.codehaus.groovy.transform

## [Java] Class AnnotationCollectorTransform

- org.codehaus.groovy.transform.AnnotationCollectorTransform

-     public class AnnotationCollectorTransform
      extends Object

  This class is the base for any annotation alias processor.

  See Also:
    AnnotationCollector
    AnnotationCollectorTransform.visit

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `AnnotationCollectorTransform.ClassChanger` | Class used by CompilationUnit to transform the alias class into what is needed by the compiler.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<AnnotationNode>` | `visit(AnnotationNode collector, AnnotationNode aliasAnnotationUsage, AnnotatedNode aliasAnnotated, SourceUnit source)` Implementation method of the alias annotation processor.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public List<AnnotationNode> visit(AnnotationNode collector, AnnotationNode aliasAnnotationUsage, AnnotatedNode aliasAnnotated, SourceUnit source)

      Implementation method of the alias annotation processor. This method will get the list of annotations we aliased from the collector and adds it to aliasAnnotationUsage. The method will also map all members from aliasAnnotationUsage to the aliased nodes. Should a member stay unmapped, we will ad an error. Further processing of those members is done by the annotations.

      Parameters:
        `collector` - reference to the annotation with AnnotationCollector
        `aliasAnnotationUsage` - reference to the place of usage of the alias
        `aliasAnnotated` - reference to the node that has been annotated by the alias
        `source` - source unit for error reporting
      Returns:
        list of the new AnnotationNodes